com.atid.lib.module.rfid.uhf.params

## Enum PermaLock6cParam.LockState

- java.lang.Object
- - java.lang.Enum<PermaLock6cParam.LockState>
  - - com.atid.lib.module.rfid.uhf.params.PermaLock6cParam.LockState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PermaLock6cParam.LockState>
  Enclosing class:
    PermaLock6cParam

      public static enum PermaLock6cParam.LockState
      extends java.lang.Enum<PermaLock6cParam.LockState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NoChanged`
    `PermalLock`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAction()`
    `int` | `getCode()`
    `int` | `getMask()`
    `java.lang.String` | `toString()`
    `static PermaLock6cParam.LockState` | `valueOf(int code)`
    `static PermaLock6cParam.LockState` | `valueOf(int action, int mask)`
    `static PermaLock6cParam.LockState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PermaLock6cParam.LockState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoChanged

          public static final PermaLock6cParam.LockState NoChanged

    - #### PermalLock

          public static final PermaLock6cParam.LockState PermalLock

  - ### Method Detail

    - #### values

          public static PermaLock6cParam.LockState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermaLock6cParam.LockState c : PermaLock6cParam.LockState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermaLock6cParam.LockState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Returns:

    - #### getAction

          public int getAction()

      Returns:

    - #### getMask

          public int getMask()

      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PermaLock6cParam.LockState>`

    - #### valueOf

          public static PermaLock6cParam.LockState valueOf(int code)

      Parameters:
        `code` -
      Returns:

    - #### valueOf

          public static PermaLock6cParam.LockState valueOf(int action,
                                                           int mask)

      Parameters:
        `action` -
        `mask` -
      Returns: